diff -crN oommf12a3/app/oxs/base/mesh.cc oommf/app/oxs/base/mesh.cc
*** oommf12a3/app/oxs/base/mesh.cc	Wed Oct 30 17:49:23 2002
--- oommf/app/oxs/base/mesh.cc	Sat Mar 15 00:35:52 2003
***************
*** 183,201 ****
        INT4m size=Size();
        for(INT4m i=0 ; i<size ; ++i) {
  	ThreeVector loc;   Center(i,loc);
!         buf[0] = REAL4(loc.x);
! 	buf[1] = REAL4(loc.y);
! 	buf[2] = REAL4(loc.z);
  	const ThreeVector& v = (*vec)[i];
  	if(scale==NULL) {
! 	  buf[3] = REAL4(v.x);
! 	  buf[4] = REAL4(v.y);
! 	  buf[5] = REAL4(v.z);
  	} else {
  	  REAL8m tempscale=(*scale)[i];
! 	  buf[3] = REAL4(tempscale*v.x);
! 	  buf[4] = REAL4(tempscale*v.y);
! 	  buf[5] = REAL4(tempscale*v.z);
  	}
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,6);
  	// Vf_OvfFileFormatSpecs::WriteBinary performs
--- 183,201 ----
        INT4m size=Size();
        for(INT4m i=0 ; i<size ; ++i) {
  	ThreeVector loc;   Center(i,loc);
!         buf[0] = static_cast<REAL4>(loc.x);
! 	buf[1] = static_cast<REAL4>(loc.y);
! 	buf[2] = static_cast<REAL4>(loc.z);
  	const ThreeVector& v = (*vec)[i];
  	if(scale==NULL) {
! 	  buf[3] = static_cast<REAL4>(v.x);
! 	  buf[4] = static_cast<REAL4>(v.y);
! 	  buf[5] = static_cast<REAL4>(v.z);
  	} else {
  	  REAL8m tempscale=(*scale)[i];
! 	  buf[3] = static_cast<REAL4>(tempscale*v.x);
! 	  buf[4] = static_cast<REAL4>(tempscale*v.y);
! 	  buf[5] = static_cast<REAL4>(tempscale*v.z);
  	}
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,6);
  	// Vf_OvfFileFormatSpecs::WriteBinary performs
***************
*** 210,228 ****
        INT4m size=Size();
        for(INT4m i=0 ; i<size ; ++i) {
  	ThreeVector loc;   Center(i,loc);
!         buf[0] = REAL4(loc.x);
! 	buf[1] = REAL4(loc.y);
! 	buf[2] = REAL4(loc.z);
  	const ThreeVector& v = (*vec)[i];
  	if(scale==NULL) {
! 	  buf[3] = REAL4(v.x);
! 	  buf[4] = REAL4(v.y);
! 	  buf[5] = REAL4(v.z);
  	} else {
  	  REAL8m tempscale=(*scale)[i];
! 	  buf[3] = REAL4(tempscale*v.x);
! 	  buf[4] = REAL4(tempscale*v.y);
! 	  buf[5] = REAL4(tempscale*v.z);
  	}
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,6);
  	// Vf_OvfFileFormatSpecs::WriteBinary performs
--- 210,228 ----
        INT4m size=Size();
        for(INT4m i=0 ; i<size ; ++i) {
  	ThreeVector loc;   Center(i,loc);
!         buf[0] = static_cast<REAL8>(loc.x);
! 	buf[1] = static_cast<REAL8>(loc.y);
! 	buf[2] = static_cast<REAL8>(loc.z);
  	const ThreeVector& v = (*vec)[i];
  	if(scale==NULL) {
! 	  buf[3] = static_cast<REAL8>(v.x);
! 	  buf[4] = static_cast<REAL8>(v.y);
! 	  buf[5] = static_cast<REAL8>(v.z);
  	} else {
  	  REAL8m tempscale=(*scale)[i];
! 	  buf[3] = static_cast<REAL8>(tempscale*v.x);
! 	  buf[4] = static_cast<REAL8>(tempscale*v.y);
! 	  buf[5] = static_cast<REAL8>(tempscale*v.z);
  	}
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,6);
  	// Vf_OvfFileFormatSpecs::WriteBinary performs
diff -crN oommf12a3/app/oxs/ext/rectangularmesh.cc oommf/app/oxs/ext/rectangularmesh.cc
*** oommf12a3/app/oxs/ext/rectangularmesh.cc	Thu Sep 12 01:52:08 2002
--- oommf/app/oxs/ext/rectangularmesh.cc	Sat Mar 15 00:21:27 2003
***************
*** 383,396 ****
        for(INT4m i=0 ; i<size ; ++i) {
          const ThreeVector& v = (*vec)[i];
          if(scale==NULL) {
!           buf[0] = REAL4(v.x);
!           buf[1] = REAL4(v.y);
!           buf[2] = REAL4(v.z);
          } else {
            REAL8m tempscale=(*scale)[i];
!           buf[0] = REAL4(tempscale*v.x);
!           buf[1] = REAL4(tempscale*v.y);
!           buf[2] = REAL4(tempscale*v.z);
          }
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,3);
          // Vf_OvfFileFormatSpecs::WriteBinary performs
--- 383,396 ----
        for(INT4m i=0 ; i<size ; ++i) {
          const ThreeVector& v = (*vec)[i];
          if(scale==NULL) {
!           buf[0] = static_cast<REAL4>(v.x);
!           buf[1] = static_cast<REAL4>(v.y);
!           buf[2] = static_cast<REAL4>(v.z);
          } else {
            REAL8m tempscale=(*scale)[i];
!           buf[0] = static_cast<REAL4>(tempscale*v.x);
!           buf[1] = static_cast<REAL4>(tempscale*v.y);
!           buf[2] = static_cast<REAL4>(tempscale*v.z);
          }
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,3);
          // Vf_OvfFileFormatSpecs::WriteBinary performs
***************
*** 406,419 ****
        for(INT4m i=0 ; i<size ; ++i) {
          const ThreeVector& v = (*vec)[i];
          if(scale==NULL) {
!           buf[0] = REAL4(v.x);
!           buf[1] = REAL4(v.y);
!           buf[2] = REAL4(v.z);
          } else {
            REAL8m tempscale=(*scale)[i];
!           buf[0] = REAL4(tempscale*v.x);
!           buf[1] = REAL4(tempscale*v.y);
!           buf[2] = REAL4(tempscale*v.z);
          }
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,3);
          // Vf_OvfFileFormatSpecs::WriteBinary performs
--- 406,419 ----
        for(INT4m i=0 ; i<size ; ++i) {
          const ThreeVector& v = (*vec)[i];
          if(scale==NULL) {
!           buf[0] = static_cast<REAL8>(v.x);
!           buf[1] = static_cast<REAL8>(v.y);
!           buf[2] = static_cast<REAL8>(v.z);
          } else {
            REAL8m tempscale=(*scale)[i];
!           buf[0] = static_cast<REAL8>(tempscale*v.x);
!           buf[1] = static_cast<REAL8>(tempscale*v.y);
!           buf[2] = static_cast<REAL8>(tempscale*v.z);
          }
          Vf_OvfFileFormatSpecs::WriteBinary(channel,buf,3);
          // Vf_OvfFileFormatSpecs::WriteBinary performs
